1

I am running Mac OSX Lion 10.7.3 with Xcode 4.3.2. I have this set up because I needed to get an old iPhone application running.

My problem is I want to install git. When I install the latest version of git on Lion, and run the git command, I get the following error:

Illegal instruction: 4

After research, I discovered that newer git version does not run on Lion. So I tried following these instructions: https://gist.github.com/digitaljhelms/2931522

However, I get make error:

 -bash: make: command not found

From what I read online, make should be installed with Xcode, which I have installed. So what is going on here? How can I get a version of git working on Lion?

You must log in to answer this question.

Browse other questions tagged .